summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/copy-to-build-support3
-rwxr-xr-xbin/create-build-support-package3
-rwxr-xr-xbin/db-update3
-rwxr-xr-xbin/delete-packages3
-rwxr-xr-xbin/find-obsolete-packages2
-rwxr-xr-xbin/get-package-updates2
-rwxr-xr-xbin/harvest-commit-times1
-rwxr-xr-xbin/modify-package-state3
-rwxr-xr-xbin/prioritize-build-list2
-rwxr-xr-xbin/sanity-check1
-rwxr-xr-xbin/seed-build-list2
11 files changed, 25 insertions, 0 deletions
diff --git a/bin/copy-to-build-support b/bin/copy-to-build-support
index e4850f0..82acc50 100755
--- a/bin/copy-to-build-support
+++ b/bin/copy-to-build-support
@@ -70,11 +70,14 @@ if [ ! -r "$1" ]; then
fi
exec 9> "${sanity_check_lock_file}"
+# shellcheck disable=SC2086
verbose_flock -s ${wait_for_lock} 9
exec 8> "${package_database_lock_file}"
+# shellcheck disable=SC2086
verbose_flock ${wait_for_lock} 8
+# shellcheck disable=SC2086
if intentions_left ${wait_for_lock}; then
>&2 echo 'come back (shortly) later - There are still intentions in the queue.'
exit 1
diff --git a/bin/create-build-support-package b/bin/create-build-support-package
index fd4d456..09374ec 100755
--- a/bin/create-build-support-package
+++ b/bin/create-build-support-package
@@ -106,6 +106,7 @@ if ${only_versioned_so_provides} \
fi
exec 9> "${sanity_check_lock_file}"
+# shellcheck disable=SC2086
verbose_flock -s ${wait_for_lock} 9
tmp_dir=$(mktemp -d 'tmp.create-build-support.XXXXXXXXXX')
@@ -254,8 +255,10 @@ elif [ -n "${shim_package}" ]; then
fi
exec 8> "${package_database_lock_file}"
+ # shellcheck disable=SC2086
verbose_flock ${wait_for_lock} 8
+ # shellcheck disable=SC2086
if intentions_left ${wait_for_lock}; then
>&2 echo 'There are still intentions in the queue.'
exit 1
diff --git a/bin/db-update b/bin/db-update
index 401ef88..32de58a 100755
--- a/bin/db-update
+++ b/bin/db-update
@@ -168,17 +168,20 @@ fi
if [ -z "${no_action_flag}" ]; then
# Create lock.
exec 9> "${package_database_lock_file}"
+ # shellcheck disable=SC2086
if ! verbose_flock ${block_flag} 9; then
>&2 echo 'come back (shortly) later - I cannot lock package database.'
exit 0
fi
+ # shellcheck disable=SC2086
if intentions_left ${block_flag}; then
>&2 echo 'come back (shortly) later - There are still intentions in the queue.'
exit 0
fi
exec 8> "${sanity_check_lock_file}"
+ # shellcheck disable=SC2086
if ! verbose_flock -s ${block_flag} 8; then
>&2 echo 'come back (shortly) later - sanity-check currently running.'
exit 0
diff --git a/bin/delete-packages b/bin/delete-packages
index bfcb9ac..a2e932c 100755
--- a/bin/delete-packages
+++ b/bin/delete-packages
@@ -122,17 +122,20 @@ if [ -z "${no_action_option}" ]; then
# fi
exec 8> "${package_database_lock_file}"
+ # shellcheck disable=SC2086
if ! verbose_flock ${block_flag} 8; then
>&2 echo 'come back (shortly) later - I cannot lock package database.'
exit 0
fi
+ # shellcheck disable=SC2086
if intentions_left ${block_flag}; then
>&2 echo 'come back (shortly) later - There are still intentions in the queue.'
exit 0
fi
exec 7> "${sanity_check_lock_file}"
+ # shellcheck disable=SC2086
if ! verbose_flock -s ${block_flag} 7; then
>&2 echo 'come back (shortly) later - sanity-check running.'
exit 0
diff --git a/bin/find-obsolete-packages b/bin/find-obsolete-packages
index 096411e..9e4c2a9 100755
--- a/bin/find-obsolete-packages
+++ b/bin/find-obsolete-packages
@@ -79,12 +79,14 @@ fi
if ! ${no_action}; then
exec 9> "${sanity_check_lock_file}"
+ # shellcheck disable=SC2086
if ! verbose_flock -s ${wait_for_lock} 9; then
>&2 echo 'Cannot get sanity-check lock.'
exit 1
fi
exec 8> "${build_list_lock_file}"
+ # shellcheck disable=SC2086
if ! verbose_flock ${wait_for_lock} 8; then
>&2 echo 'Cannot get build-list lock.'
exit 1
diff --git a/bin/get-package-updates b/bin/get-package-updates
index 353a581..b5ed322 100755
--- a/bin/get-package-updates
+++ b/bin/get-package-updates
@@ -241,12 +241,14 @@ fi
# Create a lock file for build list.
exec 9> "${build_list_lock_file}"
+# shellcheck disable=SC2086
if ! verbose_flock ${block_flag} 9; then
>&2 echo 'come back (shortly) later - I cannot lock build list.'
exit
fi
exec 8> "${sanity_check_lock_file}"
+# shellcheck disable=SC2086
if ! verbose_flock -s ${block_flag} 8; then
>&2 echo 'come back (shortly) later - sanity-check running.'
exit
diff --git a/bin/harvest-commit-times b/bin/harvest-commit-times
index fc876b8..a978b41 100755
--- a/bin/harvest-commit-times
+++ b/bin/harvest-commit-times
@@ -53,6 +53,7 @@ if [ $# -ne 0 ]; then
fi
exec 9> "${harvest_commit_times_lock_file}"
+# shellcheck disable=SC2086
if ! verbose_flock ${block_flag} 9; then
>&2 echo 'come back (shortly) later - Another harvest-commit-times is already running.'
exit
diff --git a/bin/modify-package-state b/bin/modify-package-state
index 2b7ebbc..141d043 100755
--- a/bin/modify-package-state
+++ b/bin/modify-package-state
@@ -134,17 +134,20 @@ if ! [ -r "${input_file}" ]; then
fi
exec 9> "${sanity_check_lock_file}"
+# shellcheck disable=SC2086
if ! verbose_flock -s ${wait_for_lock} 9; then
>&2 echo 'Cannot get sanity-check lock.'
exit
fi
exec 8> "${package_database_lock_file}"
+# shellcheck disable=SC2086
if ! verbose_flock ${wait_for_lock} 8; then
>&2 echo 'Cannot get package-database lock.'
exit
fi
+# shellcheck disable=SC2086
if intentions_left ${wait_for_lock}; then
>&2 echo 'There are still intentions in the queue.'
exit
diff --git a/bin/prioritize-build-list b/bin/prioritize-build-list
index ae9fe67..04a9d4f 100755
--- a/bin/prioritize-build-list
+++ b/bin/prioritize-build-list
@@ -71,9 +71,11 @@ fi
# Create a lock file for build list.
exec 9> "${sanity_check_lock_file}"
+# shellcheck disable=SC2086
verbose_flock -s ${wait_for_lock} 9
exec 8> "${build_list_lock_file}"
+# shellcheck disable=SC2086
verbose_flock ${wait_for_lock} 8
updated_rows=$(
diff --git a/bin/sanity-check b/bin/sanity-check
index 5e964fb..f9c36ef 100755
--- a/bin/sanity-check
+++ b/bin/sanity-check
@@ -98,6 +98,7 @@ do
done
exec 9> "${sanity_check_lock_file}"
+# shellcheck disable=SC2086
if ! verbose_flock ${block_flag} 9; then
>&2 echo 'Sanity check skipped, cannot acquire lock.'
exit
diff --git a/bin/seed-build-list b/bin/seed-build-list
index abeeac3..5adf46e 100755
--- a/bin/seed-build-list
+++ b/bin/seed-build-list
@@ -170,12 +170,14 @@ fi
# get locks
if ${update}; then
exec 9> "${sanity_check_lock_file}"
+ # shellcheck disable=SC2086
if ! verbose_flock -s ${wait_for_lock} 9; then
>&2 echo 'Cannot get sanity-check lock.'
exit 1
fi
exec 8> "${build_list_lock_file}"
+ # shellcheck disable=SC2086
if ! verbose_flock ${wait_for_lock} 8; then
>&2 echo 'Cannot get build-list lock.'
exit 1